# This file created by conda-build 24.7.1
# meta.yaml template originally from:
# /Users/runner/work/bioconda-recipes/bioconda-recipes/recipes/pyrodigal, last modified Tue Dec 10 03:30:00 2024
# ------------------------------------------------

package:
  name: pyrodigal
  version: 3.6.3
source:
  sha256: 3e226f743c960d4d30c46ae6868aff7e2a6b98f8d837cfbd2637568569b21f78
  url: https://pypi.io/packages/source/p/pyrodigal/pyrodigal-3.6.3.tar.gz
build:
  entry_points:
    - pyrodigal = pyrodigal.cli:main
  number: '1'
  run_exports:
    - pyrodigal >=3.6.3,<4.0a0
  script: /opt/mambaforge/envs/bioconda/conda-bld/pyrodigal_1733803339215/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_plac/bin/python
    -m pip install . --no-deps --no-build-isolation --no-cache-dir --use-pep517 -vvv
  string: py312h7874b93_1
requirements:
  build:
    - bzip2 1.0.8 h99b78c6_7
    - c-ares 1.34.3 h5505292_1
    - ca-certificates 2024.8.30 hf0a4a13_0
    - cctools_osx-arm64 1010.6 h908b477_2
    - clang 18.1.8 default_h675cc0c_5
    - clang-18 18.1.8 default_h5c12605_5
    - clang_impl_osx-arm64 18.1.8 h2ae9ea5_23
    - clang_osx-arm64 18.1.8 h07b0088_23
    - clangxx 18.1.8 default_h675cc0c_5
    - cmake 3.31.2 h326f17c_0
    - compiler-rt 18.1.8 h856b3c1_1
    - compiler-rt_osx-arm64 18.1.8 h832e737_1
    - icu 75.1 hfee45f7_0
    - krb5 1.21.3 h237132a_0
    - ld64_osx-arm64 951.9 hfc0fa09_2
    - libclang-cpp18.1 18.1.8 default_h5c12605_5
    - libcurl 8.10.1 h13a7ad3_0
    - libcxx 19.1.5 ha82da77_0
    - libcxx-devel 18.1.8 h6dc3340_7
    - libedit 3.1.20191231 hc8eb9b7_2
    - libev 4.33 h93a5062_2
    - libexpat 2.6.4 h286801f_0
    - libiconv 1.17 h0d3ecfb_2
    - libllvm18 18.1.8 h5090b49_2
    - liblzma 5.6.3 h39f12f2_1
    - libnghttp2 1.64.0 h6d7220d_0
    - libssh2 1.11.1 h9cc3647_0
    - libuv 1.49.2 h7ab814d_0
    - libxml2 2.13.5 h178c5d8_1
    - libzlib 1.3.1 h8359307_2
    - llvm-tools 18.1.8 h5090b49_2
    - llvm-tools-18 18.1.8 h5090b49_2
    - make 4.4.1 hc9fafa5_2
    - ncurses 6.5 h7bae524_1
    - openssl 3.4.0 h39f12f2_0
    - rhash 1.4.5 h7ab814d_0
    - sigtool 0.1.3 h44b9a77_0
    - tapi 1300.6.5 h03f4b80_0
    - zstd 1.5.6 hb46c0d2_0
  host:
    - bzip2 1.0.8 h99b78c6_7
    - ca-certificates 2024.8.30 hf0a4a13_0
    - cython 3.0.11 py312hde4cb15_2
    - exceptiongroup 1.2.2 pyhd8ed1ab_1
    - importlib-metadata 8.5.0 pyha770c72_1
    - importlib-resources 6.4.5 pyhd8ed1ab_1
    - importlib_resources 6.4.5 pyhd8ed1ab_1
    - libcxx 19.1.5 ha82da77_0
    - libexpat 2.6.4 h286801f_0
    - libffi 3.4.2 h3422bc3_5
    - liblzma 5.6.3 h39f12f2_1
    - libsqlite 3.47.2 h3f77e49_0
    - libzlib 1.3.1 h8359307_2
    - ncurses 6.5 h7bae524_1
    - openssl 3.4.0 h39f12f2_0
    - packaging 24.2 pyhd8ed1ab_2
    - pathspec 0.12.1 pyhd8ed1ab_1
    - pip 24.3.1 pyh8b19718_0
    - python 3.12.8 hc22306f_1_cpython
    - python_abi 3.12 5_cp312
    - readline 8.2 h92ec313_1
    - scikit-build-core 0.10.7 pyh4afc917_0
    - setuptools 75.6.0 pyhff2d567_1
    - tk 8.6.13 h5083fa2_1
    - tomli 2.2.1 pyhd8ed1ab_1
    - typing-extensions 4.12.2 hd8ed1ab_1
    - typing_extensions 4.12.2 pyha770c72_1
    - tzdata 2024b hc8b5060_0
    - wheel 0.45.1 pyhd8ed1ab_1
    - zipp 3.21.0 pyhd8ed1ab_1
  run:
    - archspec >=0.2.0
    - python >=3.12,<3.13.0a0
    - python_abi 3.12.* *_cp312
test:
  commands:
    - pyrodigal --help
    - python -m unittest -vv pyrodigal.tests
  imports:
    - pyrodigal
about:
  dev_url: https://github.com/althonos/pyrodigal
  doc_url: https://pyrodigal.readthedocs.org
  home: https://github.com/althonos/pyrodigal
  license: GPL-3.0-or-later
  license_family: GPL3
  license_file: COPYING
  summary: Python bindings to Prodigal, an ORF finder for microbial sequences.
extra:
  additional-platforms:
    - linux-aarch64
    - osx-arm64
  copy_test_source_files: true
  final: true
  identifiers:
    - doi:10.21105/joss.04296
  recipe-maintainers:
    - althonos
